namespace Managing.Application.Abstractions.Services;

public interface ICacheService
{
    string SaveValue(string name, string value);
    string GetValue(string key);
    void RemoveValue(string key);
    T GetOrSave<T>(string name, Func<T> action, TimeSpan slidingExpiration);
    T GetValue<T>(string key);
    void SaveValue<T>(string name, T value, TimeSpan slidingExpiration);
}